%define cvsver          %(echo %version |sed -e 's,\.,_,g')

%bcond_with	bootstrap

Summary:        Web Services Description Language Toolkit for Java
Name:           wsdl4j
Version:        1.6.2
Release:        6
Epoch:          0
Group:          Development/Java
License:        CPL
URL:            http://sourceforge.net/projects/wsdl4j
Source0:        wsdl4j-%{version}-src.tar.gz
Source1:        wsdl4j-%{version}.pom
##cvs -d:pserver:anonymous@wsdl4j.cvs.sourceforge.net:/cvsroot/wsdl4j login
##cvs -z3 -d:pserver:anonymous@wsdl4j.cvs.sourceforge.net:/cvsroot/wsdl4j export -r wsdl4j-1_6_2 wsdl4j
BuildArch:      noarch
Requires:       jaxp_parser_impl
BuildRequires:  java-1.7.0-openjdk-devel
BuildRequires:  ant
BuildRequires:  java-rpmbuild >= 0:1.5
%if !%{with bootstrap}
BuildRequires:  ant-junit
BuildRequires:  junit
%endif

%description
The Web Services Description Language for Java Toolkit (WSDL4J) allows the
creation, representation, and manipulation of WSDL documents describing
services.  This codebase will eventually serve as a reference implementation
of the standard created by JSR110.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}

%build
%if !%{with bootstrap}
export OPT_JAR_LIST="ant/ant-junit junit"
%endif
%{ant} -Dbuild.compiler=modern compile test javadocs

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}

install -m 644 build/lib/%{name}.jar \
      %{buildroot}%{_javadir}/%{name}-%{version}.jar
install -m 644 build/lib/qname.jar \
      %{buildroot}%{_javadir}/wsdl-qname-%{version}.jar
ln -sf wsdl-qname-%{version}.jar %{buildroot}%{_javadir}/qname.jar
#touch %{buildroot}%{_javadir}/qname.jar # for %ghost

(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)


%add_to_maven_depmap wsdl4j wsdl4j %{version} JPP wsdl4j

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -pm 644 %{SOURCE1} \
    %{buildroot}%{_datadir}/maven2/poms/JPP.wsdl4j.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -a build/javadocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{version} %{name})

%post
%update_maven_depmap
/usr/sbin/update-alternatives --install %{_javadir}/qname.jar qname %{_javadir}/wsdl-qname.jar 00100

%postun
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove qname %{_javadir}/wsdl-qname.jar
fi
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc license.html
%{_javadir}/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0:1.6.2-6
+ Revision: 820e969
- MassBuild#440: Increase release tag


